---
title: Xamarin.Android warning XA1010
description: XA1010 warning code
ms.date: 03/11/2020
---
# Xamarin.Android warning XA1010

## Example messages

```
warning XA1010: Invalid `$(AndroidManifestPlaceholders)` value for Android manifest placeholders. Please use `key1=value1;key2=value2` format. The specified value was: `assemblyName=App1;projectName`
```

## Issue

One of the key-value pairs provided in the `$(AndroidManifestPlaceholders)`
MSBuild property was invalid.  The invalid key-value pair will be ignored.

## Solution

Check that the `$(AndroidManifestPlaceholders)` MSBuild property contains a
semicolon-separated list of key-value pairs where each pair has the format
`key=value`.
